package com.galaxis.soap.utils;

import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;

import java.net.URL;

/**
 * 作者：lizw <br/>
 * 创建时间：2022/03/17 20:11 <br/>
 */
@Slf4j
public class InMemoryURLFactoryTest {

    @SneakyThrows
    @Test
    public void t01() {
        URL url = InMemoryURLFactory.getInstance().build("/D105?wsdl", "This is a test!");
        byte[] data = IOUtils.toByteArray(url.openConnection().getInputStream());
        // Prints out: This is a test!
        System.out.println(new String(data));
    }
}
